SystemOrganization addCategory: #TpTraitsAlpha!

Trait named: #TConCorteDeTiempo
	uses: {}
	category: 'TpTraitsAlpha'!

!TConCorteDeTiempo methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:12'!
crearCorteParaAo:unAo
|unCorteDeTiempo|
unCorteDeTiempo = ACorteDeTiempo new.
unCorteDeTiempo cursadas: (self cursadas select: [:unaCursada| unaCursada fecha year = unAo]).
^unCorteDeTiempo ! !

Trait named: #TConEventos
	uses: {}
	category: 'TpTraitsAlpha'!

!TConEventos methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:47'!
eventos
self requirements ! !

!TConEventos methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:48'!
informacionAgenda 
^self eventos collect: [:unEvento | unEvento informacionAgenda]! !

Trait named: #TEstadisticas
	uses: {}
	category: 'TpTraitsAlpha'!

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 16:53'!
cantidadDeAbandonadas 
^self cursadas count: [:unaCursada| unaCursada fueAbandonada]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 16:52'!
cantidadDeAprobadas 
^self notas count: [:unaNota| unaNota >= 4]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:02'!
cantidadDeIniciadas 
	^ self cursadas size ! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:06'!
cursadas
	self requirements ! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:16'!
cursadasTerminadas
	"traigo solo las que no abandono"
	^ self cursadas select: [: unaCursada | unaCursada fueAbandonada  not]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:24'!
notaMasAltaAlcanzadaNVeces: n
"Selecciono todas las notas alcanzadas n veces, y devuelvo la mas alta"
^#(1 2 3 4 5 6 7 8 9 10) select: [:unaNota | (self notas occurrencesOf: unaNota >= n)] max.! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:14'!
notas 
"^ self cursadas collect: [:cursada | cursada nota] "
^ self cursadasTerminadas  collect: [:cursada | cursada nota] ! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:17'!
notasAprobadas 
^self notas select: [:unaNota | unaNota >= 4]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:36'!
porcentajeDeAprobadosSobreIniciados 
"	^ self cantidadDeAprobadas / self cantidadDeIniciadas roundTo:0.01"
	^ (self cantidadDeAprobadas * 100 / self cantidadDeIniciadas ) roundTo:0.01! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:00'!
promedioConAplazos 
^self notas average roundTo: 0.01! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:00'!
promedioSinAplazos
^self notasAprobadas average roundTo: 0.01! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:29'!
tablaDeNotas 
^#(1 2 3 4 5 6 7 8 9 10) collect: [:unaNota | self notas occurrencesOf: unaNota]! !

Trait named: #TEvento
	uses: {}
	category: 'TpTraitsAlpha'!

!TEvento methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:45'!
informacionAgenda
^(self fecha), ' ', (self horaDesde), ' ', (self horaHasta), ' ', (self string), String cr ! !

!TEvento methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:01'!
string
^self requirements ! !

Trait named: #TMultiCursada
	uses: {}
	category: 'TpTraitsAlpha'!

!TMultiCursada methodsFor: 'as yet unclassified' stamp: 'PabloM 9/22/2013 14:37'!
aniadirCursada: unaCursada 
self cursadas add:unaCursada! !

!TMultiCursada methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:43'!
cursadas
self requirements ! !

Trait named: #TMultiCurso
	uses: {}
	category: 'TpTraitsAlpha'!

!TMultiCurso methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:34'!
aniadirCurso: unCurso
self cursadas: (self cursadas add: unCurso)! !

!TMultiCurso methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:06'!
cursadas 
^(self cursos collect: [:unCurso| unCurso cursadas]) gather: [:e|e]
! !

Trait named: #TMultiMateria
	uses: {}
	category: 'TpTraitsAlpha'!

!TMultiMateria methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:35'!
aniadirMateria: unaMateria
self materias: (self materias add: unaMateria)! !

!TMultiMateria methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:07'!
cursadas 
^(self materias collect: [:unaMateria| unaMateria cursadas]) gather: [:e|e]! !

Object subclass: #AActividad
	instanceVariableNames: 'grupo responsable fechaPresentacion fechaAprobacion montoFinanciamiento nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

!AActividad methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:08'!
articulosConFecha ! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaAprobacion
	^ fechaAprobacion! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaAprobacion: anObject
	fechaAprobacion := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaPresentacion
	^ fechaPresentacion! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaPresentacion: anObject
	fechaPresentacion := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
grupo
	^ grupo! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
grupo: anObject
	grupo := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:52'!
informacionAgenda! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
montoFinanciamiento
	^ montoFinanciamiento! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
montoFinanciamiento: anObject
	montoFinanciamiento := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
nombre
	^ nombre! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
nombre: anObject
	nombre := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
responsable
	^ responsable! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
responsable: anObject
	responsable := anObject! !

AActividad subclass: #ACharla
	uses: TEvento
	instanceVariableNames: 'fecha horaDesde horaHasta cantidadEstimadaPublico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACharla class
	uses: TEvento classTrait
	instanceVariableNames: ''!

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
cantidadEstimadaPublico
	^ cantidadEstimadaPublico! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
cantidadEstimadaPublico: anObject
	cantidadEstimadaPublico := anObject! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
fecha
	^ fecha! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
fecha: anObject
	fecha := anObject! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaDesde
	^ horaDesde! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaDesde: anObject
	horaDesde := anObject! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaHasta
	^ horaHasta! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaHasta: anObject
	horaHasta := anObject! !

!ACharla methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:02'!
string
^self nombre  ! !

AActividad subclass: #AProyecto
	uses: TConEventos
	instanceVariableNames: 'experimentos resultados'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AProyecto class
	uses: TConEventos classTrait
	instanceVariableNames: ''!

!AProyecto methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:19'!
articulos 
^self resultados select: [:unResultado | unResultado esArticulo]! !

!AProyecto methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:18'!
articulosConFecha 
^self articulos collect: [:unArticulo | unArticulo descripcion, ' ', unArticulo fecha asString]! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:53'!
eventos
^experimentos ! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
experimentos
	^ experimentos! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
experimentos: anObject
	experimentos := anObject! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
resultados
	^ resultados! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
resultados: anObject
	resultados := anObject! !

AActividad subclass: #ASeminario
	uses: TConEventos
	instanceVariableNames: 'sesiones'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ASeminario class
	uses: TConEventos classTrait
	instanceVariableNames: ''!

!ASeminario methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:59'!
aadirSesionEnFecha: unaFecha horaDesde: unaHoraDesde horaHasta: unaHoraHasta
|nuevaSesion|
nuevaSesion := ASesion new.
nuevaSesion fecha: unaFecha.
nuevaSesion horaDesde: unaHoraDesde.
nuevaSesion horaHasta: unaHoraHasta.
nuevaSesion seminario: self.
sesiones add: nuevaSesion.
^nuevaSesion ! !

!ASeminario methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:53'!
eventos
^sesiones! !

!ASeminario methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:30'!
sesiones
	^ sesiones! !

!ASeminario methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:30'!
sesiones: anObject
	sesiones := anObject! !

Object subclass: #ACarrera
	uses: TMultiMateria + TEstadisticas
	instanceVariableNames: 'materias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACarrera class
	uses: TMultiMateria classTrait + TEstadisticas classTrait
	instanceVariableNames: ''!

!ACarrera methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
materias
	^ materias! !

!ACarrera methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
materias: anObject
	materias := anObject! !

Object subclass: #ACorteDeTiempo
	uses: TEstadisticas
	instanceVariableNames: 'cursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACorteDeTiempo class
	uses: TEstadisticas classTrait
	instanceVariableNames: ''!

!ACorteDeTiempo methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:16'!
cursadas
	^ cursadas! !

!ACorteDeTiempo methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:16'!
cursadas: anObject
	cursadas := anObject! !

Object subclass: #ACursada
	instanceVariableNames: 'nota alumno curso fecha abandonada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

!ACursada class methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:41'!
crearCursadaParaAlumno: unAlumno fecha: unaFecha curso: unCurso
|unaCursada|
unaCursada := self new.
unaCursada alumno: unAlumno.
unaCursada fecha: unaFecha.
unaCursada curso: unCurso.
unAlumno aniadirCursada: unaCursada.
unCurso aniadirCursada: unaCursada.
^unaCursada.

! !

!ACursada class methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:47'!
newConAlumno:unAlumno enElCurso:unCurso 
	|cursada|
	cursada := ACursada new.
	cursada alumno: unAlumno .
	cursada curso: unCurso .
	^ cursada ! !

!ACursada class methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:47'!
newConAlumno:unAlumno enElCurso:unCurso yConNota:unaNota
	|cursada|
	cursada := ACursada newConAlumno: unAlumno  enElCurso: unCurso .
	cursada nota: unaNota .
	
	^ cursada ! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
alumno
	^ alumno! !

!ACursada methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 18:49'!
alumno: unAlumno
	alumno := unAlumno.
"cuando agrego un alumno agrego la cursada al alumno"
	unAlumno aniadirCursada: self .

	
	! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
curso
	^ curso! !

!ACursada methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 18:50'!
curso: unCurso
	curso := unCurso.
	unCurso aniadirCursada: self .! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:45'!
fecha
	^ fecha! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:45'!
fecha: anObject
	fecha := anObject! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 17:15'!
fueAbandonada
	^ abandonada! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 17:36'!
initialize
abandonada := false.
nota := nil.! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
nota
	^ nota! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
nota: anObject
	nota := anObject! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 17:15'!
setAbandonada
abandonada := true! !

Object subclass: #ACurso
	uses: TEstadisticas + TMultiCursada
	instanceVariableNames: 'cursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACurso class
	uses: TEstadisticas classTrait + TMultiCursada classTrait
	instanceVariableNames: ''!

!ACurso methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas
	^ cursadas! !

!ACurso methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas: anObject
	cursadas := anObject! !

!ACurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 18:53'!
initialize 
	super initialize .
	"cursadas := Set new."
	cursadas := Bag new.! !

Object subclass: #AExperimento
	uses: TEvento
	instanceVariableNames: 'fecha horaDesde horaHasta descripcion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AExperimento class
	uses: TEvento classTrait
	instanceVariableNames: ''!

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
descripcion
	^ descripcion! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
descripcion: anObject
	descripcion := anObject! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
fecha
	^ fecha! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
fecha: anObject
	fecha := anObject! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaDesde
	^ horaDesde! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaDesde: anObject
	horaDesde := anObject! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaHasta
	^ horaHasta! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaHasta: anObject
	horaHasta := anObject! !

!AExperimento methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:02'!
string
^self descripcion  ! !

Object subclass: #AGrupoInvestigacion
	instanceVariableNames: 'actividades integrantes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
actividades
	^ actividades! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
actividades: anObject
	actividades := anObject! !

!AGrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:05'!
actividadesPresentadasPeroNoAprobadas
^self actividades select: [:unaActividad | unaActividad fechaAprobacion isNil]! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:51'!
agendaEventos
^(self actividades collect: [:unaActividad |unaActividad informacionAgenda]) gather: [:e|e]! !

!AGrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:07'!
articulosConFecha
^(self actividades collect: [:unaActividad | unaActividad articulosConFecha]) gather: [:e|e]! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
integrantes
	^ integrantes! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
integrantes: anObject
	integrantes := anObject! !

!AGrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:03'!
montoTotalDeFinanciamiento
^self actividades sum: [:unaActividad | unaActividad montoFinanciamiento]! !

Object subclass: #AMateria
	uses: TMultiCurso + TEstadisticas - {#cursadas}
	instanceVariableNames: 'cursos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AMateria class
	uses: TMultiCurso classTrait + TEstadisticas classTrait
	instanceVariableNames: ''!

!AMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:29'!
AbrirCurso
	|curso|
	curso := ACurso new.
	cursos add: curso .
	^ curso .! !

!AMateria methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos
	^ cursos! !

!AMateria methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos: anObject
	cursos := anObject! !

!AMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:47'!
initialize 
	super initialize .
	cursos  := Bag new.! !

Object subclass: #APersona
	instanceVariableNames: 'gruposInvestigacion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

APersona subclass: #AAlumno
	uses: TEstadisticas + TConCorteDeTiempo + TMultiCursada
	instanceVariableNames: 'cursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AAlumno class
	uses: TEstadisticas classTrait + TConCorteDeTiempo classTrait + TMultiCursada classTrait
	instanceVariableNames: ''!

!AAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:51'!
AnotarseEn:unCurso
	|cursada|
	cursada := ACursada newConAlumno: self enElCurso: unCurso .
	^cursada ! !

!AAlumno methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas
	^ cursadas! !

!AAlumno methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas: anObject
	cursadas := anObject! !

!AAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 18:52'!
initialize 
	super initialize .
"	cursadas := Set new."
	cursadas := Bag new.! !

APersona subclass: #ADocente
	uses: TMultiCurso + TEstadisticas - {#cursadas} + TConCorteDeTiempo
	instanceVariableNames: 'cursos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ADocente class
	uses: TMultiCurso classTrait + TEstadisticas classTrait + TConCorteDeTiempo classTrait
	instanceVariableNames: ''!

!ADocente methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos
	^ cursos! !

!ADocente methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos: anObject
	cursos := anObject! !

!ADocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:08'!
initialize 
	super initialize .
	cursos := Bag new.! !

!APersona methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:35'!
gruposInvestigacion
	^ gruposInvestigacion! !

!APersona methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:35'!
gruposInvestigacion: anObject
	gruposInvestigacion := anObject! !

Object subclass: #AResultado
	instanceVariableNames: 'descripcion fecha'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
descripcion
	^ descripcion! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
descripcion: anObject
	descripcion := anObject! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 03:20'!
esArticulo 
^descripcion includesSubString: 'artculo'! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
fecha
	^ fecha! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
fecha: anObject
	fecha := anObject! !

Object subclass: #ASesion
	uses: TEvento
	instanceVariableNames: 'fecha horaDesde horaHasta seminario'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ASesion class
	uses: TEvento classTrait
	instanceVariableNames: ''!

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
fecha
	^ fecha! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
fecha: anObject
	fecha := anObject! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaDesde
	^ horaDesde! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaDesde: anObject
	horaDesde := anObject! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaHasta
	^ horaHasta! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaHasta: anObject
	horaHasta := anObject! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:56'!
seminario
	^ seminario! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:56'!
seminario: anObject
	seminario := anObject! !

!ASesion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:01'!
string
^self seminario nombre! !
